Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.tutorial.gtitm
Class DirectTutorial

    java.lang.Object
      rice.tutorial.gtitm.DirectTutorial

    public class DirectTutorial

extends java.lang.Object

This tutorial shows how to setup a FreePastry node using the Socket Protocol.

Author:
  Jeff Hoye

Constructor Summary
`DirectTutorial(int numNodes, Environment env, java.lang.String fileName)` This constructor launches numNodes PastryNodes.

Method Summary
`static void` | `main(java.lang.String[] args)` Usage: java [-cp FreePastry-.jar] rice.tutorial.gtitm.DirectTutorial numNodes example java rice.tutorial.gtitm.DirectTutorial 100 GNPINPUT

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectTutorial

    public DirectTutorial(int numNodes,
                          Environment env,
                          java.lang.String fileName)
                   throws java.lang.Exception

  This constructor launches numNodes PastryNodes. They will bootstrap to an existing ring if one exists at the specified location, otherwise it will start a new ring.

  Parameters:
    `bindport` - the local port to bind to
    `bootaddress` - the IP:port of the node to boot from
    `numNodes` - the number of nodes to create in this JVM
    `env` - the environment for these nodes
  Throws:
    `java.lang.Exception`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Usage: java [-cp FreePastry-.jar] rice.tutorial.gtitm.DirectTutorial numNodes example java rice.tutorial.gtitm.DirectTutorial 100 GNPINPUT

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.